Opened 4 years ago

Closed 4 years ago

#946 closed Bug (fixed)

Crash report 2018-04-02

Reported by: no-reply@… Owned by:
Priority: Unclassified Milestone: CrypTool 2.1 BETA 1
Component: General Keywords:
Cc:

Description

Title: Crash report
Exception at 4/2/2018 10:01:57 AM (UTC time).
User message:
After downloading an update (7310->7319) of the NB the release notes were shown.
Here I made a right-click and tried to copy everything to the clipboard.
Then this unhandled exception came up.
-
Exception:
System.Runtime.InteropServices.COMException (0x800401D0): OpenClipboard fehlgeschlagen (Exception from HRESULT: 0x800401D0 (CLIPBRD_E_CANT_OPEN))
   at System.Runtime.InteropServices.Marshal.ThrowExceptionForHRInternal(Int32 errorCode, IntPtr errorInfo)
   at System.Windows.Clipboard.Flush()
   at System.Windows.Clipboard.CriticalSetDataObject(Object data, Boolean copy)
   at System.Windows.Clipboard.SetDataInternal(String format, Object data)
   at System.Windows.Clipboard.SetData(String format, Object data)
   at Cryptool.CrypWin.UpdaterPresentation.MenuItem_Click_1(Object sender, RoutedEventArgs e)
   at System.Windows.RoutedEventHandlerInfo.InvokeHandler(Object target, RoutedEventArgs routedEventArgs)
   at System.Windows.EventRoute.InvokeHandlersImpl(Object source, RoutedEventArgs args, Boolean reRaised)
   at System.Windows.UIElement.RaiseEventImpl(DependencyObject sender, RoutedEventArgs args)
   at System.Windows.UIElement.RaiseEvent(RoutedEventArgs e)
   at System.Windows.Controls.MenuItem.InvokeClickAfterRender(Object arg)
   at System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
   at System.Windows.Threading.ExceptionWrapper.TryCatchWhen(Object source, Delegate callback, Object args, Int32 numArgs, Delegate catchHandler)
   at System.Windows.Threading.DispatcherOperation.InvokeImpl()
   at System.Windows.Threading.DispatcherOperation.InvokeInSecurityContext(Object state)
   at MS.Internal.CulturePreservingExecutionContext.CallbackWrapper(Object obj)
   at System.Threading.ExecutionContext.RunInternal(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state)
   at MS.Internal.CulturePreservingExecutionContext.Run(CulturePreservingExecutionContext executionContext, ContextCallback callback, Object state)
   at System.Windows.Threading.DispatcherOperation.Invoke()
   at System.Windows.Threading.Dispatcher.ProcessQueue()
   at System.Windows.Threading.Dispatcher.WndProcHook(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   at MS.Win32.HwndWrapper.WndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   at MS.Win32.HwndSubclass.DispatcherCallbackOperation(Object o)
   at System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
   at System.Windows.Threading.ExceptionWrapper.TryCatchWhen(Object source, Delegate callback, Object args, Int32 numArgs, Delegate catchHandler)
   at System.Windows.Threading.Dispatcher.LegacyInvokeImpl(DispatcherPriority priority, TimeSpan timeout, Delegate method, Object args, Int32 numArgs)
   at MS.Win32.HwndSubclass.SubclassWndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam)
   at MS.Win32.UnsafeNativeMethods.DispatchMessage(MSG& msg)
   at System.Windows.Threading.Dispatcher.PushFrameImpl(DispatcherFrame frame)
   at System.Windows.Threading.Dispatcher.PushFrame(DispatcherFrame frame)
   at System.Windows.Application.RunDispatcher(Object ignore)
   at System.Windows.Application.RunInternal(Window window)
   at System.Windows.Application.Run(Window window)
   at Cryptool.CrypWin.App.Main()

-
System infos:
Operating System: Windows 10 Pro  (6.3.16299)
Processorname: Intel(R) Xeon(R) CPU E5-1660 v3 @ 3.00GHz
Processors: 16
Administrative Rights: False
Current culture: en-US
CrypTool version: 2.1.7310.1
Installation type: ZIP
Build type: Nightly
Build time: 3/21/2018 1:15:05 AM
Product name: CrypTool 2.1 (Nightly Build 7310.1)
Common language runtime version: 4.0.30319.42000
System time: 12:00 PM
Command line: "F:\Downloads\CrypTool 2.1-NB(ab6937)(perZIP)\CrypWin.exe" 


Change History (1)

comment:1 Changed 4 years ago by kopal

Resolution: fixed
Status: newclosed

Problem occures some times with copying and clipboard, but is not based on CT2. Can not be reproduced... To avoid crashing of CT2, i surrounded the code parts with try-catch

Note: See TracTickets for help on using tickets.